      subroutine FreeCombinatorial()
      include '../testarea/LeafGasHybridFit.h'
      integer
     &i01,i02,i03,i04,i05,i06,i07,i08,i09,i10,
     &i11,i12,i13,i14,i15,i16,i17,i18,i19,i20,
     &i21,i22,i23,i24,i25,i26,i27,i28,i29,i30,
     &i31,i32,i33,i34,i35,i36,i37,i38,i39,i40,
     &i41,i42,i43,i44,i45,i46,i47,i48,i49,i50
      if(nFreePoints.eq.0)then
        call UnivPhotoFit()
        return
      endif
      do 1 i01=1,3
        Freeiphotolimit(1)=i01
        if(nFreePoints.eq.1)then
          call UnivPhotoFit()
          goto 1
        endif
      do 2 i02=1,3
        Freeiphotolimit(2)=i02
        if(nFreePoints.eq.2)then
          call UnivPhotoFit()
          goto 2
        endif
      do 3 i03=1,3
        Freeiphotolimit(3)=i03
        if(nFreePoints.eq.3)then
          call UnivPhotoFit()
          goto 3
        endif
      do 4 i04=1,3
        Freeiphotolimit(4)=i04
        if(nFreePoints.eq.4)then
          call UnivPhotoFit()
          goto 4
        endif
      do 5 i05=1,3
        Freeiphotolimit(5)=i05
        if(nFreePoints.eq.5)then       
          call UnivPhotoFit()
          goto 5
        endif
      do 6 i06=1,3
        Freeiphotolimit(6)=i06
        if(nFreePoints.eq.6)then        
          call UnivPhotoFit()
          goto 6
        endif
      do 7 i07=1,3
        Freeiphotolimit(7)=i07
        if(nFreePoints.eq.7)then        
          call UnivPhotoFit()
          goto 7
        endif
      do 8 i08=1,3
        Freeiphotolimit(8)=i08
        if(nFreePoints.eq.8)then        
          call UnivPhotoFit()
          goto 8
        endif
      do 9 i09=1,3
        Freeiphotolimit(9)=i09
        if(nFreePoints.eq.9)then        
          call UnivPhotoFit()
          goto 9
        endif
      do 10 i10=1,3
        Freeiphotolimit(10)=i10
        if(nFreePoints.eq.10)then        
          call UnivPhotoFit()
          goto 10
        endif
      do 11 i11=1,3
        Freeiphotolimit(11)=i11
        if(nFreePoints.eq.11)then        
          call UnivPhotoFit()
          goto 11
        endif
      do 12 i12=1,3
        Freeiphotolimit(12)=i12
        if(nFreePoints.eq.12)then       
          call UnivPhotoFit()
          goto 12
        endif
      do 13 i13=1,3
        Freeiphotolimit(13)=i13
        if(nFreePoints.eq.13)then        
          call UnivPhotoFit()
          goto 13
        endif
      do 14 i14=1,3
        Freeiphotolimit(14)=i14
        if(nFreePoints.eq.14)then        
          call UnivPhotoFit()
          goto 14
        endif
      do 15 i15=1,3
        Freeiphotolimit(15)=i15
        if(nFreePoints.eq.15)then        
          call UnivPhotoFit()
          goto 15
        endif
      do 16 i16=1,3
        Freeiphotolimit(16)=i16
        if(nFreePoints.eq.16)then        
          call UnivPhotoFit()
          goto 16
        endif
      do 17 i17=1,3
        Freeiphotolimit(17)=i17
        if(nFreePoints.eq.17)then        
          call UnivPhotoFit()
          goto 17
        endif
      do 18 i18=1,3
        Freeiphotolimit(18)=i18
        if(nFreePoints.eq.18)then        
          call UnivPhotoFit()
          goto 18
        endif
      do 19 i19=1,3
        Freeiphotolimit(19)=i19
        if(nFreePoints.eq.19)then        
          call UnivPhotoFit()
          goto 19
        endif
      do 20 i20=1,3
        Freeiphotolimit(20)=i20
        if(nFreePoints.eq.20)then        
          call UnivPhotoFit()
          goto 20
        endif
      do 21 i21=1,3
        Freeiphotolimit(21)=i21
        if(nFreePoints.eq.21)then       
          call UnivPhotoFit()
          goto 21
        endif
      do 22 i22=1,3
        Freeiphotolimit(22)=i22
        if(nFreePoints.eq.22)then        
          call UnivPhotoFit()
          goto 22
        endif
      do 23 i23=1,3
        Freeiphotolimit(23)=i23
        if(nFreePoints.eq.23)then        
          call UnivPhotoFit()
          goto 23
        endif
      do 24 i24=1,3
        Freeiphotolimit(24)=i24
        if(nFreePoints.eq.24)then        
          call UnivPhotoFit()
          goto 24
        endif
      do 25 i25=1,3
        Freeiphotolimit(25)=i25
        if(nFreePoints.eq.25)then
          call UnivPhotoFit()
          goto 25
        endif
      do 26 i26=1,3
        Freeiphotolimit(26)=i26
        if(nFreePoints.eq.26)then       
          call UnivPhotoFit()
          goto 26
        endif
      do 27 i27=1,3
        Freeiphotolimit(27)=i27
        if(nFreePoints.eq.27)then        
          call UnivPhotoFit()
          goto 27
        endif
      do 28 i28=1,3
        Freeiphotolimit(28)=i28
        if(nFreePoints.eq.28)then        
          call UnivPhotoFit()
          goto 28
        endif
      do 29 i29=1,3
        Freeiphotolimit(29)=i29
        if(nFreePoints.eq.29)then        
          call UnivPhotoFit()
          goto 29
        endif
      do 30 i30=1,3
        Freeiphotolimit(30)=i30
        if(nFreePoints.eq.30)then
          call UnivPhotoFit()
          goto 30
        endif
      do 31 i31=1,3
        Freeiphotolimit(31)=i31
        if(nFreePoints.eq.31)then
          call UnivPhotoFit()
          goto 31
        endif
      do 32 i32=1,3
        Freeiphotolimit(32)=i32
        if(nFreePoints.eq.32)then
          call UnivPhotoFit()
          goto 32
        endif
      do 33 i33=1,3
        Freeiphotolimit(33)=i33
        if(nFreePoints.eq.33)then        
          call UnivPhotoFit()
          goto 33
        endif
      do 34 i34=1,3
        Freeiphotolimit(34)=i34
        if(nFreePoints.eq.34)then        
          call UnivPhotoFit()
          goto 34
        endif
      do 35 i35=1,3
        Freeiphotolimit(35)=i35
        if(nFreePoints.eq.35)then
          call UnivPhotoFit()
          goto 35
        endif
      do 36 i36=1,3
        Freeiphotolimit(36)=i36
        if(nFreePoints.eq.36)then
          call UnivPhotoFit()
          goto 36
        endif
      do 37 i37=1,3
        Freeiphotolimit(37)=i37
        if(nFreePoints.eq.37)then
          call UnivPhotoFit()
          goto 37
        endif
      do 38 i38=1,3
        Freeiphotolimit(38)=i38
        if(nFreePoints.eq.38)then        
          call UnivPhotoFit()
          goto 38
        endif
      do 39 i39=1,3
        Freeiphotolimit(39)=i39
        if(nFreePoints.eq.39)then        
          call UnivPhotoFit()
          goto 39
        endif
      do 40 i40=1,3
        Freeiphotolimit(40)=i40
        if(nFreePoints.eq.40)then        
          call UnivPhotoFit()
          goto 40
        endif
      do 41 i41=1,3
        Freeiphotolimit(41)=i41
        if(nFreePoints.eq.41)then
          call UnivPhotoFit()
          goto 41
        endif
      do 42 i42=1,3
        Freeiphotolimit(42)=i42
        if(nFreePoints.eq.42)then
          call UnivPhotoFit()
          goto 42
        endif
      do 43 i43=1,3
        Freeiphotolimit(43)=i43
        if(nFreePoints.eq.43)then
          call UnivPhotoFit()
          goto 43
        endif
      do 44 i44=1,3
        Freeiphotolimit(44)=i44
        if(nFreePoints.eq.44)then        
          call UnivPhotoFit()
          goto 44
        endif
      do 45 i45=1,3
        Freeiphotolimit(45)=i45
        if(nFreePoints.eq.45)then        
          call UnivPhotoFit()
          goto 45
        endif
      do 46 i46=1,3
        Freeiphotolimit(46)=i46
        if(nFreePoints.eq.46)then
          call UnivPhotoFit()
          goto 46
        endif
      do 47 i47=1,3
        Freeiphotolimit(47)=i47
        if(nFreePoints.eq.47)then
          call UnivPhotoFit()
          goto 47
        endif
      do 48 i48=1,3
        Freeiphotolimit(48)=i48
        if(nFreePoints.eq.48)then
          call UnivPhotoFit()
          goto 48
        endif
      do 49 i49=1,3
        Freeiphotolimit(49)=i49
        if(nFreePoints.eq.49)then
          call UnivPhotoFit()
          goto 49
        endif
      do 50 i50=1,3
        Freeiphotolimit(50)=i50
        if(nFreePoints.eq.50)then
          call UnivPhotoFit()
          goto 50
        endif
50    continue
49    continue
48    continue
47    continue
46    continue
45    continue
44    continue
43    continue
42    continue
41    continue
40    continue
39    continue
38    continue
37    continue
36    continue
35    continue
34    continue
33    continue
32    continue
31    continue
30    continue
29    continue
28    continue
27    continue
26    continue
25    continue
24    continue
23    continue
22    continue
21    continue
20    continue
19    continue
18    continue
17    continue
16    continue
15    continue
14    continue
13    continue
12    continue
11    continue
10    continue
9     continue
8     continue
7     continue
6     continue
5     continue
4     continue
3     continue
2     continue
1     continue
      return
      end subroutine FreeCombinatorial
